Bug 2071394 - Connecting/disconnecting an external monitor or VM resizing switches GNOME to the login screen
Summary: Connecting/disconnecting an external monitor or VM resizing switches GNOME to...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://ask.fedoraproject.org/t/commo...
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-04-03 15:39 UTC by grumpey0
Modified: 2022-06-15 14:56 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-16 17:58:56 UTC
Type: Bug
bcotton: fedora_prioritized_bug-


Attachments (Terms of Use)
journal while problem occurs. (111.91 KB, text/plain)
2022-04-03 15:39 UTC, grumpey0
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-shell issues 5294 0 None None None 2022-04-06 14:59:10 UTC

Description grumpey0 2022-04-03 15:39:13 UTC
Created attachment 1870448 [details]
journal while problem occurs.

Created attachment 1870448 [details]
journal while problem occurs.

Description of problem: After initial boot powering on external monitor returns primary monitor to gdm login screen. Running Gnome on default wayland session.  


Version-Release number of selected component (if applicable):
gnome-session-wayland-session.x86_64              42.0-1.fc36
gnome-shell.x86_64                                42.0-2.fc36
mutter.x86_64                                     42.0-3.fc36
gdm.x86_64                                        1:42.0-1.fc36


How reproducible: 90 percent of the time from a powered off state, 50 percent of the time when rebooting and external monitor is off. 


Steps to Reproduce:
1. Power off machine
2. Power on machine
3. Log into machine
4. Power/connect on external monitor
5. Observe screen returns to GDM login screen

Actual results: 
Primary Monitor displays GDM login screen.


Expected results:
Secondary Monitor comes up, primary monitor remains in gnome-session. 

Additional info:
AMD Radeon RX 6600/6600 XT/6600M with amdgpu


Workaround: 
Log in again as usual. You’ll be switched to your existing session, and there should be no data loss (all your applications should still be running, etc).

Alternatively, power users can press Ctrl + Alt + F2 (or F3 etc, depending which session number you were running) to return to your existing session.

Comment 2 Fedora Blocker Bugs Application 2022-04-04 07:30:39 UTC
Proposed as a Blocker for 36-final by Fedora user lruzicka using the blocker tracking app because:

 I am proposing this bug because it violates the *Dual monitor setup* release criterion.

https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#Dual_monitor_setup

Comment 3 Kamil Páral 2022-04-04 14:18:21 UTC
I can reproduce this issue easily on my Thinkpad T480s. It happens the first time I connect an external monitor while being already logged in, or the first time I disconnect an external monitor (if I booted with it already connected). In both cases, I'm switched to gdm.

However, please note that I haven't seen any data loss. My session is still running, it hasn't crashed. I just need to log in again, in order to be switched to my existing session. So while it is annoying and confusing, it doesn't seem to cause any data loss.

Comment 4 František Zatloukal 2022-04-04 19:10:19 UTC
Discussed during the 2022-04-04 blocker review meeting: [1]

The decision to classify this bug as an RejectedBlocker and AcceptedFreezeException was made:

"This is an ugly bug, but we don’t think it violates the blocker criteria as stated and agree that the impact it has is minimal. We do grant an FE though as it would be nice to have if a fix were available."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2022-04-04/f36-blocker-review.2022-04-04-16.00.log.html

Comment 5 Flo H. 2022-04-04 19:20:09 UTC
I can reproduce this issue when putting my Thinkpad T450s into its docking station - thrown back to GDM to re-login, but no data loss. Gnome session is not crashing.

Comment 6 Kamil Páral 2022-04-05 08:12:16 UTC
This also affects virtual machines - virt-manager, Boxes (both tested by me) and VirtualBox [1]. When you resize the VM window, and you have VM autoresize enabled, it switches you to gdm during the resize process. After repeated login, you session is still running, with the desktop size changed. In Boxes in particular, this also affects the Live image - it boots into desktop due to autologin, but then resizes the screen which switches you back to gdm.

Manual resolution change in the VM seems to work as expected, no session switching.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/2J62APXU2GSC6HN3DQO2MIKVUPR4235D/

Comment 7 grumpey0 2022-04-06 00:57:42 UTC
This also occurs with both monitors on after screen blanking is activated after a reboot or after initial boot.

Upstream: https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5294

Comment 8 Kamil Páral 2022-04-06 14:58:44 UTC
I couldn't reproduce the screen blanking case, even with multiple monitors. For me, I see the lock screen (even after a fresh reboot).

Comment 9 Simone Tolotti 2022-04-08 06:52:14 UTC
I don't know if it is related to this bug, but when I start F36 with a second monitor connected, GDM access is blocked, meaning that I cannot interact with neither the mouse nor the keyboard to select the user and enter the password. If I unplug and plug the monitor back in, GDM will work properly again.

Comment 10 Kamil Páral 2022-04-08 07:49:04 UTC
Simone, that's not the case for me, I can log in just fine using two monitors. However, try if your input starts working after pressing Esc. There are weird input issues lately in GNOME, perhaps a bit related to bug 2063156.

Comment 11 Kamil Páral 2022-04-13 12:06:20 UTC
Proposing as a prioritized bug. This has multiple consequences and it's very visible to anyone using multiple monitors or docking stations. The screen blanking case was also reported multiple times.

Comment 12 Ray Strode [halfline] 2022-04-13 17:56:27 UTC
it's a bit of a guess, but I think this build may fix the problem. Would someone mind trying?

https://koji.fedoraproject.org/koji/taskinfo?taskID=85624586

Comment 13 grumpey0 2022-04-13 23:59:28 UTC
That appears to correct for me for screen blanking and when powering on an external monitor. 
Thanks!

Comment 14 Kamil Páral 2022-04-14 06:48:20 UTC
(In reply to Ray Strode [halfline] from comment #12)
> it's a bit of a guess, but I think this build may fix the problem. Would
> someone mind trying?
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=85624586

Great! I can confirm this fixes VM resizing and display connection/disconnection for me. I'm not able to test screen blanking, because I wasn't affected, but that's already confirmed by grumpey. So it seems this really fixes all these problems.

Can someone please create a Bodhi update with this build?

Comment 15 Fedora Update System 2022-04-14 13:24:23 UTC
FEDORA-2022-978615c4b9 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-978615c4b9

Comment 16 Fedora Update System 2022-04-14 18:49:40 UTC
FEDORA-2022-978615c4b9 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-978615c4b9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-978615c4b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-04-16 17:58:56 UTC
FEDORA-2022-978615c4b9 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Vít Ondruch 2022-04-19 07:17:47 UTC
And what about Rawhide build?

Comment 19 Vít Ondruch 2022-06-08 07:41:24 UTC
Reopening, because Rawhide is still broken.

Comment 20 Ben Cotton 2022-06-15 14:56:38 UTC
In today's prioritized bugs meeting, we rejected this as a prioritized bug as the fix has landed upstream and we are confident it will be included prior to the release of F37
https://meetbot.fedoraproject.org/fedora-meeting-1/2022-06-15/fedora_prioritized_bugs_and_issues.2022-06-15-14.00.log.html#l-62

To expand on the above, it would definitely be good to have the fix in Rawhide as well. However, Rawhide isn't particularly the target of the prioritized bugs process and since this is more of an annoying rather than a makes-it-unusable bug, we decided it didn't reach the level of being a prioritized bug. That said, the sooner Rawhide gets gdm-42.0-2 (or newer), the better.


Note You need to log in before you can comment on or make changes to this bug.